PamCut: TofBetaRigCut Class Reference

# TofBetaRigCut Class Reference

The match between TOF beta modulus and TRK beta modulus. This cut discards all the events for which the absolute RELATIVE difference between TRK beta modulus (calculated from rigidity of TRK track, mass M and charge Z) and TOF beta modulus is greater than the threshold. Rigidity is defined as p/Z (GV) where Z is the particle charge and p the momentum modulus. CUT DEPENDENCIES: TrkPhysSin for object trkTrack. More...

`#include <TofBetaRigCut.h>`

Inheritance diagram for TofBetaRigCut:

List of all members.

## Public Member Functions
| TofBetaRigCut (const char *cutName, float threshold, int charge=1, float mass=0.93827203)
| Constructor.
| ~TofBetaRigCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The rigidity check.
## Private Attributes
float | _threshold
int | _charge
float | _mass

## Detailed Description

The match between TOF beta modulus and TRK beta modulus. This cut discards all the events for which the absolute RELATIVE difference between TRK beta modulus (calculated from rigidity of TRK track, mass M and charge Z) and TOF beta modulus is greater than the threshold. Rigidity is defined as p/Z (GV) where Z is the particle charge and p the momentum modulus. CUT DEPENDENCIES: TrkPhysSin for object trkTrack.

Definition at line 22 of file TofBetaRigCut.h.

## Constructor & Destructor Documentation

TofBetaRigCut::TofBetaRigCut | ( | const char * | cutName,
|  | float | threshold,
|  | int | charge = `1`,
|  | float | mass = `0.93827203` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | charge | The particle charge (in units of proton charge: e.g. Z=1)
  | mass | The particle mass (in GeV; e.g. m=0.93827203 GeV)
  | threshold | The rigidity-difference threshold (in GV)

Definition at line 32 of file TofBetaRigCut.h.

TofBetaRigCut::~TofBetaRigCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 50 of file TofBetaRigCut.h.

## Member Function Documentation

int TofBetaRigCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The rigidity check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the beta difference is less than the threshold

  0 otherwise.

Implements PamCut.

Definition at line 12 of file TofBetaRigCut.cpp.

References _charge, _mass, _threshold, and CUTOK.

## Member Data Documentation

int TofBetaRigCut::_charge`[private]`

Definition at line 79 of file TofBetaRigCut.h.

Referenced by Check().

float TofBetaRigCut::_mass`[private]`

Definition at line 80 of file TofBetaRigCut.h.

Referenced by Check().

float TofBetaRigCut::_threshold`[private]`

Definition at line 78 of file TofBetaRigCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TofCuts/TofBetaRigCut/TofBetaRigCut.h
- TofCuts/TofBetaRigCut/TofBetaRigCut.cpp